<?php


return  
    [
        'model' => [
            'model' => \Litecms\Company\Models\Company::class,
            'table' => 'litecms_company_companies',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['ref',  'parent_id',  'name',  'type',  'description',  'address',  'country_id',  'manager_id',  'website_url',  'active_employees',  'industry',  'contact_email',  'contact_address',  'contact_phone',  'currency',  'work_hour_start',  'work_hour_end',  'start_date_leave_cycle',  'ext_dependants',  'spon_dependants',  'paid_leave_year',  'sick_leave_year',  'maternity_leave_year',  'paternity_leave_year',  'work_week_start',  'work_week_end',  'carried_forward',  'customercare_mobile',  'customercare_email',  'company_id',  'branch_id',  'department_id',  'user_type',  'user_id'],
            'translatables' => [],
            'upload_folder' => 'company/company',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "ref", 
                "type" => "text", 
                "label" => 'company::company.label.ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "parent_id", 
                "type" => "text", 
                "label" => 'company::company.label.parent_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'company::company.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'company::company.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'company::company.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "address", 
                "type" => "text", 
                "label" => 'company::company.label.address', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "country_id", 
                "type" => "text", 
                "label" => 'company::company.label.country_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "manager_id", 
                "type" => "text", 
                "label" => 'company::company.label.manager_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "website_url", 
                "type" => "text", 
                "label" => 'company::company.label.website_url', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "active_employees", 
                "type" => "text", 
                "label" => 'company::company.label.active_employees', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "industry", 
                "type" => "text", 
                "label" => 'company::company.label.industry', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "contact_email", 
                "type" => "text", 
                "label" => 'company::company.label.contact_email', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "contact_address", 
                "type" => "text", 
                "label" => 'company::company.label.contact_address', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "contact_phone", 
                "type" => "text", 
                "label" => 'company::company.label.contact_phone', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "currency", 
                "type" => "text", 
                "label" => 'company::company.label.currency', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "work_hour_start", 
                "type" => "text", 
                "label" => 'company::company.label.work_hour_start', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "work_hour_end", 
                "type" => "text", 
                "label" => 'company::company.label.work_hour_end', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "start_date_leave_cycle", 
                "type" => "text", 
                "label" => 'company::company.label.start_date_leave_cycle', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ext_dependants", 
                "type" => "text", 
                "label" => 'company::company.label.ext_dependants', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "spon_dependants", 
                "type" => "text", 
                "label" => 'company::company.label.spon_dependants', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "paid_leave_year", 
                "type" => "text", 
                "label" => 'company::company.label.paid_leave_year', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sick_leave_year", 
                "type" => "text", 
                "label" => 'company::company.label.sick_leave_year', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "maternity_leave_year", 
                "type" => "text", 
                "label" => 'company::company.label.maternity_leave_year', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "paternity_leave_year", 
                "type" => "text", 
                "label" => 'company::company.label.paternity_leave_year', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "work_week_start", 
                "type" => "text", 
                "label" => 'company::company.label.work_week_start', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "work_week_end", 
                "type" => "text", 
                "label" => 'company::company.label.work_week_end', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "carried_forward", 
                "type" => "text", 
                "label" => 'company::company.label.carried_forward', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "customercare_mobile", 
                "type" => "text", 
                "label" => 'company::company.label.customercare_mobile', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "customercare_email", 
                "type" => "text", 
                "label" => 'company::company.label.customercare_email', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "company_id", 
                "type" => "text", 
                "label" => 'company::company.label.company_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "branch_id", 
                "type" => "text", 
                "label" => 'company::company.label.branch_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "department_id", 
                "type" => "text", 
                "label" => 'company::company.label.department_id', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'company::company.label.ref',
                "placeholder" => 'company::company.placeholder.ref',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'parent_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'company::company.label.parent_id',
                "placeholder" => 'company::company.placeholder.parent_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'company::company.label.name',
                "placeholder" => 'company::company.placeholder.name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'company::company.label.type',
                "placeholder" => 'company::company.placeholder.type',
                "rules" => '',
                "options" => function(){
                    return trans('company::company.options.type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'company::company.label.description',
                "placeholder" => 'company::company.placeholder.description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'address',
                "element" => 'text',
                "type" => 'text',
                "label" => 'company::company.label.address',
                "placeholder" => 'company::company.placeholder.address',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'country_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'company::company.label.country_id',
                "placeholder" => 'company::company.placeholder.country_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'manager_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'company::company.label.manager_id',
                "placeholder" => 'company::company.placeholder.manager_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'website_url',
                "element" => 'text',
                "type" => 'text',
                "label" => 'company::company.label.website_url',
                "placeholder" => 'company::company.placeholder.website_url',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'active_employees',
                "element" => 'text',
                "type" => 'text',
                "label" => 'company::company.label.active_employees',
                "placeholder" => 'company::company.placeholder.active_employees',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'industry',
                "element" => 'text',
                "type" => 'text',
                "label" => 'company::company.label.industry',
                "placeholder" => 'company::company.placeholder.industry',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'contact_email',
                "element" => 'text',
                "type" => 'text',
                "label" => 'company::company.label.contact_email',
                "placeholder" => 'company::company.placeholder.contact_email',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'contact_address',
                "element" => 'text',
                "type" => 'text',
                "label" => 'company::company.label.contact_address',
                "placeholder" => 'company::company.placeholder.contact_address',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'contact_phone',
                "element" => 'text',
                "type" => 'text',
                "label" => 'company::company.label.contact_phone',
                "placeholder" => 'company::company.placeholder.contact_phone',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'currency',
                "element" => 'text',
                "type" => 'text',
                "label" => 'company::company.label.currency',
                "placeholder" => 'company::company.placeholder.currency',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'work_hour_start',
                "element" => 'time_picker',
                "type" => 'time_picker',
                "label" => 'company::company.label.work_hour_start',
                "placeholder" => 'company::company.placeholder.work_hour_start',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'work_hour_end',
                "element" => 'time_picker',
                "type" => 'time_picker',
                "label" => 'company::company.label.work_hour_end',
                "placeholder" => 'company::company.placeholder.work_hour_end',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'start_date_leave_cycle',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'company::company.label.start_date_leave_cycle',
                "placeholder" => 'company::company.placeholder.start_date_leave_cycle',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ext_dependants',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'company::company.label.ext_dependants',
                "placeholder" => 'company::company.placeholder.ext_dependants',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'spon_dependants',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'company::company.label.spon_dependants',
                "placeholder" => 'company::company.placeholder.spon_dependants',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'paid_leave_year',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'company::company.label.paid_leave_year',
                "placeholder" => 'company::company.placeholder.paid_leave_year',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sick_leave_year',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'company::company.label.sick_leave_year',
                "placeholder" => 'company::company.placeholder.sick_leave_year',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'maternity_leave_year',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'company::company.label.maternity_leave_year',
                "placeholder" => 'company::company.placeholder.maternity_leave_year',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'paternity_leave_year',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'company::company.label.paternity_leave_year',
                "placeholder" => 'company::company.placeholder.paternity_leave_year',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'work_week_start',
                "element" => 'text',
                "type" => 'text',
                "label" => 'company::company.label.work_week_start',
                "placeholder" => 'company::company.placeholder.work_week_start',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'work_week_end',
                "element" => 'text',
                "type" => 'text',
                "label" => 'company::company.label.work_week_end',
                "placeholder" => 'company::company.placeholder.work_week_end',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'carried_forward',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'company::company.label.carried_forward',
                "placeholder" => 'company::company.placeholder.carried_forward',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'customercare_mobile',
                "element" => 'text',
                "type" => 'text',
                "label" => 'company::company.label.customercare_mobile',
                "placeholder" => 'company::company.placeholder.customercare_mobile',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'customercare_email',
                "element" => 'text',
                "type" => 'text',
                "label" => 'company::company.label.customercare_email',
                "placeholder" => 'company::company.placeholder.customercare_email',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'company_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'company::company.label.company_id',
                "placeholder" => 'company::company.placeholder.company_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'branch_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'company::company.label.branch_id',
                "placeholder" => 'company::company.placeholder.branch_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'department_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'company::company.label.department_id',
                "placeholder" => 'company::company.placeholder.department_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'company/company/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'company/company/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'company/company',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'company/company',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'company/company',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'company/company',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'company::company.label.created_at',
            'name' => 'company::company.label.name',
            'status' => 'company::company.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "company::company.groups.main",
                'group' => "main.main",
                'title' => "company::company.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "company::company.groups.details",
                'group' => "main.details",
                'title' => "company::company.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "company::company.groups.images",
                'group' => "main.images",
                'title' => "company::company.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "company::company.groups.settings",
                'group' => "main.settings",
                'title' => "company::company.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Company',
            'module' => 'Company',
        ],

        
        
    ];
