<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsCompanyMastersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_company_masters
         */
        Schema::create('litecms_company_masters', function ($table) {
            $table->increments('id');
            $table->string('code', 50)->nullable();
            $table->string('name', 100)->nullable();
            $table->integer('sub_group_id')->nullable();
            $table->integer('main_group_id')->nullable();
            $table->integer('group_id')->nullable();
            $table->integer('currency_id')->nullable();
            $table->string('cash_flow', 50)->nullable();
            $table->enum('sub_ledger_flag', ['Yes', 'No'])->nullable();
            $table->enum('db_or_cr_flag', ['Yes', 'No'])->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_company_masters');
    }
}
