<?php

namespace Litecms\Company\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class YearTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_company_years')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.company.year.view',
                'name'      => 'View Year',
            ],
            [
                'slug'      => 'litecms.company.year.create',
                'name'      => 'Create Year',
            ],
            [
                'slug'      => 'litecms.company.year.edit',
                'name'      => 'Update Year',
            ],
            [
                'slug'      => 'litecms.company.year.delete',
                'name'      => 'Delete Year',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/company/year',
                'name'        => 'Year',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/company/year',
                'name'        => 'Year',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'year',
                'name'        => 'Year',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Company',
                'module'    => 'Year',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.company.year.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
