<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for company in company package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  company module in company package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Company',
    'names' => 'Companies',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Companies',
        'sub' => 'Companies'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'type' => 
            [
                                
                [
                    'key'    => 'branch',
                    'value'  => 'branch',
                    'text'   => 'branch',
                ],
                                
                [
                    'key'    => 'department',
                    'value'  => 'department',
                    'text'   => 'department',
                ],
                                
                [
                    'key'    => 'division',
                    'value'  => 'division',
                    'text'   => 'division',
                ],
                                
                [
                    'key'    => 'company',
                    'value'  => 'company',
                    'text'   => 'company',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'ref'                        => 'Please enter ref',
        'parent_id'                  => 'Please enter parent id',
        'name'                       => 'Please enter name',
        'type'                       => 'Please select type',
        'description'                => 'Please enter description',
        'address'                    => 'Please enter address',
        'country_id'                 => 'Please enter country id',
        'manager_id'                 => 'Please enter manager id',
        'website_url'                => 'Please enter website url',
        'active_employees'           => 'Please enter active employees',
        'industry'                   => 'Please enter industry',
        'contact_email'              => 'Please enter contact email',
        'contact_address'            => 'Please enter contact address',
        'contact_phone'              => 'Please enter contact phone',
        'currency'                   => 'Please enter currency',
        'work_hour_start'            => 'Please select work hour start',
        'work_hour_end'              => 'Please select work hour end',
        'start_date_leave_cycle'        => 'Please select start date leave cycle',
        'ext_dependants'             => 'Please enter ext dependants',
        'spon_dependants'            => 'Please enter spon dependants',
        'paid_leave_year'            => 'Please enter paid leave year',
        'sick_leave_year'            => 'Please enter sick leave year',
        'maternity_leave_year'        => 'Please enter maternity leave year',
        'paternity_leave_year'        => 'Please enter paternity leave year',
        'work_week_start'            => 'Please enter work week start',
        'work_week_end'              => 'Please enter work week end',
        'carried_forward'            => 'Please enter carried forward',
        'customercare_mobile'        => 'Please enter customercare mobile',
        'customercare_email'         => 'Please enter customercare email',
        'company_id'                 => 'Please enter company id',
        'branch_id'                  => 'Please enter branch id',
        'department_id'              => 'Please enter department id',
        'user_type'                  => 'Please enter user type',
        'user_id'                    => 'Please enter user id',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'ref'                        => 'Ref',
        'parent_id'                  => 'Parent id',
        'name'                       => 'Name',
        'type'                       => 'Type',
        'description'                => 'Description',
        'address'                    => 'Address',
        'country_id'                 => 'Country id',
        'manager_id'                 => 'Manager id',
        'website_url'                => 'Website url',
        'active_employees'           => 'Active employees',
        'industry'                   => 'Industry',
        'contact_email'              => 'Contact email',
        'contact_address'            => 'Contact address',
        'contact_phone'              => 'Contact phone',
        'currency'                   => 'Currency',
        'work_hour_start'            => 'Work hour start',
        'work_hour_end'              => 'Work hour end',
        'start_date_leave_cycle'        => 'Start date leave cycle',
        'ext_dependants'             => 'Ext dependants',
        'spon_dependants'            => 'Spon dependants',
        'paid_leave_year'            => 'Paid leave year',
        'sick_leave_year'            => 'Sick leave year',
        'maternity_leave_year'        => 'Maternity leave year',
        'paternity_leave_year'        => 'Paternity leave year',
        'work_week_start'            => 'Work week start',
        'work_week_end'              => 'Work week end',
        'carried_forward'            => 'Carried forward',
        'customercare_mobile'        => 'Customercare mobile',
        'customercare_email'         => 'Customercare email',
        'company_id'                 => 'Company id',
        'branch_id'                  => 'Branch id',
        'department_id'              => 'Department id',
        'user_type'                  => 'User type',
        'user_id'                    => 'User id',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    
    ];
