<?php

namespace Litecms\Company\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Litecms\Company\Http\Requests\MasterActionsRequest;
use Litecms\Company\Actions\MasterActions;

/**
 * Admin web controller class.
 */
class MasterActionsController extends BaseController
{

    /**
     * Action controller function for master.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(MasterActionsRequest $request, $action)
    {
        try {
            $master = MasterActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('company::master.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('company/master/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('company/master/' . $action))
                ->redirect();
        }
    }
}
