<?php
namespace Litecms\Company\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;
use Litecms\Company\Events\MasterAction as MasterActionEvent;
use Litecms\Company\Models\Master;

class MasterAction extends Notification implements ShouldQueue
{
    use Queueable;

    protected $event;
    protected $master;
    protected $action;
    protected $request;

    /**
     * Create a new notification instance.
     *
     * @param MasterActionEvent $master
     */
    public function __construct(MasterActionEvent $master)
    {
        $this->action = $event->action;
        $this->master = $master;
        $this->request = $event->request;
        $this->event = $event;

    }

    /**
     * Get the mail representation of the notification.
     *
     * @param mixed $notifiable
     * @return \Illuminate\Notifications\Messages\MailMessage
     */
    public function toMail($notifiable)
    {
        return (new MailMessage)
            ->subject('Master Approved - ' . config('app.name'))
            ->view('company::master.email.action', ['data' => $this->master]);
    }

    /**
     * Get the notification's delivery channels.
     *
     * @param object $notifiable
     * @return array<int, string>
     */
    public function via(object $notifiable): array
    {
        return ['mail'];
    }
}
