<?php

namespace Litecms\Company\Policies;

use Litecms\Company\Models\Master;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait MasterAction
{

    /**
     * Determine if the given user can copy the given master.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Master $master)
    {

        if ($authUser->canDo('company.master.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given master.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Master $master) {

        if ($authUser->canDo('company.master.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given master.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Master $master)
    {

        if ($authUser->canDo('company.master.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
