<?php

namespace Litecms\Company\Policies;

use Litecms\Company\Models\Year;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait YearAction
{

    /**
     * Determine if the given user can copy the given year.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Year $year)
    {

        if ($authUser->canDo('company.year.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given year.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Year $year) {

        if ($authUser->canDo('company.year.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given year.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Year $year)
    {

        if ($authUser->canDo('company.year.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
