<?php

namespace Litecms\Company\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Company policy
        \Litecms\Company\Models\Company::class 
        => \Litecms\Company\Policies\CompanyPolicy::class,// Bind Year policy
        \Litecms\Company\Models\Year::class 
        => \Litecms\Company\Policies\YearPolicy::class,// Bind Master policy
        \Litecms\Company\Models\Master::class 
        => \Litecms\Company\Policies\MasterPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
